IRPCVaultsAdmin.CreateNewGroundLinkProxy

View as Markdown

Administration API / specialized admin session

Creates a ground link proxy, a vault of type VAULT_TYPE_GROUND_LINK_PROXY.

ServiceVault management MFiles.IRPCVaultsAdmin
gRPC method/MFiles.IRPCVaultsAdmin/CreateNewGroundLinkProxy
HTTP (mf-http-grpc)POST /grpc/v1/create-new-ground-link-proxy
RequestCreateNewGroundLinkProxyRequest
ResponseCreateNewGroundLinkProxyResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: CreateNewGroundLinkProxyRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
vaultVaultExThe definition of the new ground link proxy.
vault.vaultVaultBasic data.
vault.vault.vaultVaultBasicBasic data.
vault.vault.main_data_folderstringThe main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault).
vault.vault.additional_data_folders[]repeated AdditionalFolderThe specification of the additional file data folders.
vault.vault.database_infoSQLDatabaseThe vault's SQL database.
vault.vault.file_data_storageFileDataStorageIdentifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4).
vault.vault.file_data_connection_stringstringThe connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty.
vault.vault_typeVaultTypeThe vault type.Values: VAULT_TYPE_NORMAL_VAULT (0), VAULT_TYPE_REPLICA_VAULT (1), VAULT_TYPE_GROUND_LINK_PROXY (2).
vault.master_server_addressServerAddressThe address of the master server. Specified if the vault type is 'replica'.
vault.master_server_address.network_addressstringThe network address (name) of the server.
vault.master_server_address.endpointstringThe endpoint of the server.
vault.master_server_address.protocol_sequencestringThe protocol sequence of the server.

Response: CreateNewGroundLinkProxyResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
new_vaultVaultReceives the full definition of the new vault.
new_vault.vaultVaultBasicBasic data.
new_vault.vault.guidstringThe vault GUID, in braces and upper case. Use it as LoginData.vault_guid.
new_vault.vault.display_namestringThe vault name shown to users.
new_vault.vault.tooltipstringOptional description. Often empty.
new_vault.vault.iconbytesThe vault icon in .ico format, or empty.
new_vault.vault.dns_namesStringArrayHost names configured for the vault, if any.
new_vault.main_data_folderstringThe main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault).
new_vault.additional_data_folders[]repeated AdditionalFolderThe specification of the additional file data folders.
new_vault.additional_data_folders[].pathstringPath (e.g. "\servername\sharename\folder").
new_vault.additional_data_folders[].limit_in_mbuint32Data limit in megabytes or zero if no limit.
new_vault.additional_data_folders[].impersonationImpersonationImpersonation information for accessing the folder.
new_vault.database_infoSQLDatabaseThe vault's SQL database.
new_vault.database_info.engineDBEngineDatabase engine identification.Values: DBENGINE_NONE (0), DBENGINE_FIREBIRD (1), DBENGINE_MS_SQL_SERVER (2).
new_vault.database_info.server_namestringThe data source i.e. the database server name where the vault's database is residing. This is specified for data service DB engines only. It is empty or unset for embedded databases such as Firebird Embedded.
new_vault.database_info.database_namestringThe catalog i.e. the database name where the vault's data is residing. Allows the database name to differ from the vault display name. This is not specified in the Firebird case.
new_vault.database_info.system_admin_impersonationImpersonationImpersonation information for accessing the database engine for administrative purposes. This contains SYSDBA (System Database Administrator) user name and password. If unset, the default user name and password are used.
new_vault.database_info.basic_user_impersonationImpersonationImpersonation information for accessing the database engine in basic user operations that do not modify the database structure. This contains DB user name and password. If unset, the default user name and password are used.
new_vault.file_data_storageFileDataStorageIdentifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4).
new_vault.file_data_connection_stringstringThe connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty.